
uint8_t serial_ctrl_begin(void) {
  Serial.begin(9600);
  if (Serial.available() > 0) {
    Serial.read();
  }
}

uint8_t serial_ctrl_connect(void) {
  uint8_t i, j, k;

  union chenger {
    uint16_t larg;
    uint8_t stat[2];
  } data;

  Serial.write('A');
  for (i = 0; i < 4 ; i++) {
    if (uss_data[i] > 0xFF) {
      Serial.write(0xFF);
    } else {
      Serial.write(uss_data[i]);
    }
  }
  for (i = 0; i < 4 ; i++) {
    if (infrared_data[i] > 0xFF) {
      Serial.write(0xFF);
    } else {
      Serial.write(infrared_data[i]);
    }
  }

  for (i = 0; i < 2 ; i++) {
    if (compass_data[i] > 0xFF) {
      Serial.write(0xFF);
    } else {
      Serial.write(compass_data[i]);
    }
  }
  //Serial.write((uint8_t)(compass_data>>8));
  //Serial.write((uint8_t) compass_data);
  Serial.write(0x00);
  return 0;
}

