volatile uint16_t uss_data[4];

void uss_begin(void) {
  uint8_t i;
  for (i = 0; i < 4; i++) {
    uss_data[i] = 0;
    pinMode(uss_port[i][0], INPUT);
    pinMode(uss_port[i][1], OUTPUT);
  }
}

void uss_get(void) {
  uint8_t i;
  uint32_t buf = 0;
  for (i = 0; i < 4; i++) {
    //double Duration = 0;
    //double Distance = 0;
    digitalWrite(uss_port[i][1], LOW);
    delayMicroseconds(2);
    digitalWrite(uss_port[i][1], HIGH );
    delayMicroseconds( 10 );
    digitalWrite(uss_port[i][1], LOW );

    buf = pulseIn( uss_port[i][0], HIGH, 15000);
    if (buf == 0 ) { //timeout
      buf = 15000;
    }

    //buf = buf / 2; //往復距離を半分にする
    uss_data[i] = (int)(buf * 34 * 1 / 2000);
    //uss_data[i] = 1;
  }
}
